librevenge::RVNGHTMLTextZone Struct Reference documentation

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
librevenge::RVNGHTMLTextZone Struct Reference

a zone to regroup footnote/endnote,... data More...

## Public Types
enum | Type { Z_Comment =0, Z_EndNote, Z_FootNote, Z_Main, Z_MetaData, Z_TextBox, Z_Unknown, Z_NumZones = Z_Unknown+1 }
| the different zone More...

## Public Member Functions
| RVNGHTMLTextZone (Type tp=Z_Unknown)
| constructor for basic stream More...
Type | type () const
| the type More...
void | setType (Type tp)
| the type More...
RVNGHTMLTextStream * | getNewStream ()
| returns a new stream corresponding to this zone More...
void | deleteStream (RVNGHTMLTextStream *stream)
| delete a stream corresponding to this zone More...
bool | isEmpty () const
| returns true if there is no data More...
void | send (std::ostream &out) const
| send the zone data More...

## Protected Member Functions
std::string | label (int id) const
| return a label corresponding to the zone More...

## Protected Attributes
Type | m_type
| the zone type More...
int | m_actualId
| the actual id More...
std::vector< std::string > | m_stringList
| the list of data string More...

## Private Member Functions
| RVNGHTMLTextZone (RVNGHTMLTextZone const &orig)
RVNGHTMLTextZone | operator= (RVNGHTMLTextZone const &orig)

## Friends
struct | RVNGHTMLTextStream

## Detailed Description

a zone to regroup footnote/endnote,... data

## Member Enumeration Documentation

## ◆ Type

enum librevenge::RVNGHTMLTextZone::Type

the different zone

Enumerator
Z_Comment |
Z_EndNote |
Z_FootNote |
Z_Main |
Z_MetaData |
Z_TextBox |
Z_Unknown |
Z_NumZones |

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextZone() [1/2]

librevenge::RVNGHTMLTextZone::RVNGHTMLTextZone | ( | Type | tp = `Z_Unknown` | ) |
| inline

constructor for basic stream

## ◆ RVNGHTMLTextZone() [2/2]

librevenge::RVNGHTMLTextZone::RVNGHTMLTextZone | ( | RVNGHTMLTextZone const & | orig | ) |
| private

## Member Function Documentation

## ◆ deleteStream()

void librevenge::RVNGHTMLTextZone::deleteStream | ( | RVNGHTMLTextStream * | stream | ) |

delete a stream corresponding to this zone

## ◆ getNewStream()

RVNGHTMLTextStream * librevenge::RVNGHTMLTextZone::getNewStream | ( |  | ) |

returns a new stream corresponding to this zone

Referenced by librevenge::RVNGHTMLTextGeneratorImpl::push(), and librevenge::RVNGHTMLTextGeneratorImpl::RVNGHTMLTextGeneratorImpl().

## ◆ isEmpty()

bool librevenge::RVNGHTMLTextZone::isEmpty | ( |  | ) | const
| inline

returns true if there is no data

Referenced by send().

## ◆ label()

std::string librevenge::RVNGHTMLTextZone::label | ( | int | id | ) | const
| protected

return a label corresponding to the zone

Referenced by librevenge::RVNGHTMLTextStream::label().

## ◆ operator=()

RVNGHTMLTextZone librevenge::RVNGHTMLTextZone::operator= | ( | RVNGHTMLTextZone const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextZone::send | ( | std::ostream & | out | ) | const
| inline

send the zone data

Referenced by librevenge::RVNGHTMLTextGeneratorImpl::flushUnsent(), and librevenge::RVNGHTMLTextGeneratorImpl::sendMetaData().

## ◆ setType()

void librevenge::RVNGHTMLTextZone::setType | ( | Type | tp | ) |
| inline

the type

## ◆ type()

Type librevenge::RVNGHTMLTextZone::type | ( |  | ) | const
| inline

the type

## Friends And Related Function Documentation

## ◆ RVNGHTMLTextStream

friend struct RVNGHTMLTextStream
| friend

Referenced by getNewStream().

## Member Data Documentation

## ◆ m_actualId

int librevenge::RVNGHTMLTextZone::m_actualId
| mutableprotected

the actual id

Referenced by librevenge::RVNGHTMLTextStream::RVNGHTMLTextStream().

## ◆ m_stringList

std::vector<std::string> librevenge::RVNGHTMLTextZone::m_stringList
| protected

the list of data string

Referenced by isEmpty(), send(), and librevenge::RVNGHTMLTextStream::send().

## ◆ m_type

Type librevenge::RVNGHTMLTextZone::m_type
| protected

the zone type

Referenced by label(), librevenge::RVNGHTMLTextStream::label(), send(), librevenge::RVNGHTMLTextStream::send(), setType(), and type().

The documentation for this struct was generated from the following file:

- RVNGHTMLTextGenerator.cpp